datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95chsug <- function() showQCData("hgu95chsug", datacache)
hgu95chsug_dbconn <- function() dbconn(datacache)
hgu95chsug_dbfile <- function() dbfile(datacache)
hgu95chsug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95chsug_dbInfo <- function() dbInfo(datacache)

hgu95chsugORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95chsug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hgu95chsug", "chip hgu95chsug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95chsug_dbconn())
}

