\name{hgu95chsugMAPCOUNTS} 

\alias{hgu95chsugMAPCOUNTS}


\title{Number of mapped keys for the maps in package hgu95chsug.db}

\description{
  hgu95chsugMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package hgu95chsug.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  hgu95chsugMAPCOUNTS
  mapnames <- names(hgu95chsugMAPCOUNTS)
  hgu95chsugMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package hgu95chsug.db
  checkMAPCOUNTS("hgu95chsug.db")
}

\keyword{datasets}

